/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { getHeaders } from '@managed-api/commons-core';
export function constructHeaders(body, manualHeaders) {
    const headers = getHeaders(body, manualHeaders);
    headers.append('X-Atlassian-Token', 'no-check');
    return headers;
}
export async function errorMessageBuilder(response, reason) {
    try {
        const errors = await response.json();
        const errorMessages = [...(errors?.errorMessages ?? []), ...Object.values(errors?.errors ?? {})];
        if (errorMessages.length > 0) {
            return `${reason} - ${errorMessages.join(', ')}`;
        }
    }
    catch { }
    return reason;
}
export class CustomError extends Error {
    constructor() {
        super(...arguments);
        this.name = 'CustomError';
    }
}
