/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
export interface User {
    avatarUrl?: string;
    displayName?: string;
    name?: string;
    key?: string;
    emailAddress?: string;
    html?: string;
    renderedLink?: string;
    isDeleted?: boolean;
    lastSeenVersion?: string;
    self?: string;
}
export interface CommonResponse {
    progressInPercent?: number;
    resourceId?: string;
    category?: string;
    status?: string;
    stepDescription?: string;
    currentStep?: number;
    numberOfSteps?: number;
    currentWorkUnits?: number;
    currentWorkDescription?: string;
    currentStepTotalWorkUnits?: number;
    totalWorkUnits?: number;
    actor?: string;
    startDate?: string;
    result?: string;
    /**
     * The result data is different depending on the type of process the category specifies
     */
    resultData?: Record<string, any>;
    resultMessage?: string;
    finishedDate?: string;
    estimatedFinishDate?: string;
}
export interface Status {
    id: number;
    name: string;
    description?: string;
    category: number;
    objectSchemaId: number;
}
//# sourceMappingURL=Common.d.ts.map