/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Attachment } from '../definitions/Attachment';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetAttachmentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id that has the attachment
     */
    objectId: number;
}
export interface GetAttachmentsResponseOK extends Array<Attachment> {
}
export interface GetAttachmentsResponseError extends CommonError {
}
export interface CreateAttachmentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id that has the attachment
     */
    objectId: number;
    body: {
        fileName: string;
        content: string | ArrayBuffer;
    }[];
}
export interface CreateAttachmentsResponseOK extends Attachment {
}
export interface CreateAttachmentsResponseError extends CommonError {
}
export interface DeleteAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    attachmentId: string;
}
export type DeleteAttachmentResponseOK = undefined;
export interface DeleteAttachmentResponseError extends CommonError {
}
//# sourceMappingURL=attachment.d.ts.map