/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Comment } from '../definitions/Comment';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface CreateCommentRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        comment: string;
        objectId: number;
        /**
         * Assets Users: 0
         * Assets Managers: 1
         * Assets Administrators: 2
         * Assets Developers: 3
         */
        role: number;
    };
}
export interface CreateCommentResponseOK extends Comment {
}
export interface CreateCommentResponseError extends CommonError {
}
export interface GetCommentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to fetch comments from
     */
    objectId: number;
}
export interface GetCommentsResponseOK extends Array<Comment> {
}
export interface GetCommentsResponseError extends CommonError {
}
//# sourceMappingURL=comment.d.ts.map