/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Status } from '../definitions/Common';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetConfigStatusesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Include statuses for the object schema id. If supplied statuses for the object schema will be returned otherwise all global will be returned
     */
    objectSchemaId?: number;
}
export interface GetConfigStatusesResponseOK extends Array<Status> {
}
export interface GetConfigStatusesResponseError extends CommonError {
}
export interface CreateConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    body: Status;
}
export interface CreateConfigStatusResponseOK extends Status {
}
export interface CreateConfigStatusResponseError extends CommonError {
}
export interface GetConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Status type id
     */
    id: number;
}
export interface GetConfigStatusResponseOK extends Status {
}
export interface GetConfigStatusResponseError extends CommonError {
}
export interface UpdateConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Status type id
     */
    id: number;
    body: Status;
}
export interface UpdateConfigStatusResponseOK extends Status {
}
export interface UpdateConfigStatusResponseError extends CommonError {
}
export interface DeleteConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Status type id
     */
    id: number;
}
export type DeleteConfigStatusResponseOK = undefined;
export interface DeleteConfigStatusResponseError extends CommonError {
}
//# sourceMappingURL=config.d.ts.map