/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Icon } from '../definitions/Icon';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetIconRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
}
export interface GetIconResponseOK extends Icon {
}
export interface GetIconResponseError extends CommonError {
}
export interface GetGlobalIconsRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetGlobalIconsResponseOK extends Array<Icon> {
}
export interface GetGlobalIconsResponseError extends CommonError {
}
export interface GetIconsBySchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the object schema to fetch all configured icons from.
     */
    objectSchemaId: number;
}
export interface GetIconsBySchemaResponseOK extends Array<Icon> {
}
export interface GetIconsBySchemaResponseError extends CommonError {
}
//# sourceMappingURL=icon.d.ts.map