/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { Attribute } from '../../definitions/Object';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetObjectAttributesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to operate on
     */
    id: string;
}
export interface GetObjectAttributesResponseOK extends Array<Attribute> {
}
export interface GetObjectAttributesResponseError extends CommonError {
}
export interface CreateObjectAttributeRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        /**
         * The object that this attribute should be associated with
         */
        objectId: number;
        /**
         * The type of the attribute. The type decides how this value should be interpreted
         */
        objectTypeAttributeId: number;
        /**
         * The value(s)
         */
        objectAttributeValues: {
            value: string;
        }[];
    };
}
export interface CreateObjectAttributeResponseOK extends Attribute {
}
export interface CreateObjectAttributeResponseError extends CommonError {
}
export interface UpdateObjectAttributeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to operate on
     */
    id: string;
    body: {
        /**
         * The object that this attribute should be associated with
         */
        objectId: number;
        /**
         * The type of the attribute. The type decides how this value should be interpreted
         */
        objectTypeAttributeId: number;
        /**
         * The value(s)
         */
        objectAttributeValues: {
            value: string;
        }[];
    };
}
export interface UpdateObjectAttributeResponseOK extends Attribute {
}
export interface UpdateObjectAttributeResponseError extends CommonError {
}
export interface GetObjectAttributeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object attribute id
     */
    id: string;
}
export interface GetObjectAttributeResponseOK extends Attribute {
}
export interface GetObjectAttributeResponseError extends CommonError {
}
//# sourceMappingURL=attribute.d.ts.map