/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { HistoryResponse } from '../../definitions/Object';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetObjectHistoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to operate on
     */
    id: string;
    /**
     * Should the history be retrieved in ascending order, uses the Jira setting for sort order as default
     */
    asc?: boolean;
    /**
     * Should the values returned in the history entry be abbreviated
     */
    abbreviate?: boolean;
}
export interface GetObjectHistoryResponseOK extends Array<HistoryResponse> {
}
export interface GetObjectHistoryResponseError extends CommonError {
}
//# sourceMappingURL=history.d.ts.map