/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { ObjectSchema, ObjectSchemasResponse, ObjectType, ObjectTypeAttribute } from '../../definitions/Object';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetObjectSchemasRequest extends HeadersOption, ErrorStrategyOption {
}
export interface GetObjectSchemasResponseOK extends ObjectSchemasResponse {
}
export interface GetObjectSchemasResponseError extends CommonError {
}
export interface CreateObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        name: string;
        objectSchemaKey: string;
        description?: string;
    };
}
export interface CreateObjectSchemaResponseOK extends ObjectSchema {
}
export interface CreateObjectSchemaResponseError extends CommonError {
}
export interface UpdateObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: number;
    body: {
        name: string;
        objectSchemaKey: string;
        description?: string;
    };
}
export interface UpdateObjectSchemaResponseOK extends ObjectSchema {
}
export interface UpdateObjectSchemaResponseError extends CommonError {
}
export interface GetObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: number;
}
export interface GetObjectSchemaResponseOK extends ObjectSchema {
}
export interface GetObjectSchemaResponseError extends CommonError {
}
export interface DeleteObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: number;
}
export type DeleteObjectSchemaResponseOK = undefined;
export interface DeleteObjectSchemaResponseError extends CommonError {
}
export interface GetObjectSchemaObjectTypeAttributesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: number;
    /**
     * Return only values that are associated with values that can be edited
     */
    onlyValueEditable?: boolean;
    /**
     * Include the object type with each object type attribute
     */
    extended?: boolean;
    /**
     * A query that will be used to filter object type attributes by their name
     */
    query?: string;
}
export interface GetObjectSchemaObjectTypeAttributesResponseOK extends ObjectTypeAttribute {
}
export interface GetObjectSchemaObjectTypeAttributesResponseError extends CommonError {
}
export interface GetObjectSchemaObjectTypesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: number;
}
export interface GetObjectSchemaObjectTypesResponseOK extends ObjectType {
}
export interface GetObjectSchemaObjectTypesResponseError extends CommonError {
}
//# sourceMappingURL=schema.d.ts.map