/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { ObjectType, ObjectTypeAttribute } from '../../definitions/Object';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
}
export interface GetObjectTypeResponseOK extends ObjectType {
}
export interface GetObjectTypeResponseError extends CommonError {
}
export interface UpdateObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
    body: {
        name: string;
        description?: string;
        iconId: number;
        objectSchemaId: number;
        /**
         * The id of the parent object type
         */
        parentObjectTypeId?: number;
        /**
         * Describes if this object type is configured for inheritance i.e.it's children inherits the attributes of this object type
         */
        inherited?: boolean;
        abstractObjectType?: boolean;
    };
}
export interface UpdateObjectTypeResponseOK extends ObjectType {
}
export interface UpdateObjectTypeResponseError extends CommonError {
}
export interface DeleteObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
}
export type DeleteObjectTypeResponseOK = undefined;
export interface DeleteObjectTypeResponseError extends CommonError {
}
export interface GetObjectTypeAttributesRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
    onlyValueEditable?: boolean;
    orderByName?: boolean;
    query?: string;
    includeValuesExist?: boolean;
    excludeParentAttributes?: boolean;
    includeChildren?: boolean;
    orderByRequired?: boolean;
}
export interface GetObjectTypeAttributesResponseOK extends ObjectTypeAttribute {
}
export interface GetObjectTypeAttributesResponseError extends CommonError {
}
export interface ChangeObjectTypePositionRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
    body: {
        /**
         * The desired new parent of the object type
         */
        toObjectTypeId?: number;
        /**
         * The preferred position
         */
        position: number;
    };
}
export interface ChangeObjectTypePositionResponseOK extends ObjectType {
}
export interface ChangeObjectTypePositionResponseError extends CommonError {
}
export interface CreateObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        name: string;
        description?: string;
        iconId: number;
        objectSchemaId: number;
        /**
         * The id of the parent object type
         */
        parentObjectTypeId?: number;
        /**
         * Describes if this object type is configured for inheritance i.e. it's children inherits the attributes of this object type
         */
        inherited?: boolean;
        abstractObjectType?: boolean;
    };
}
export interface CreateObjectTypeResponseOK extends ObjectType {
}
export interface CreateObjectTypeResponseError extends CommonError {
}
//# sourceMappingURL=type.d.ts.map